# Generated by Django 3.0.14 on 2022-09-29 16:30

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django_extensions.db.fields
import micorr.reviews


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('contenttypes', '0002_remove_content_type_name'),
        ('artefacts', '0055_auto_20220910_1841'),
    ]

    operations = [
        migrations.CreateModel(
            name='CannedTextType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('name', models.TextField(help_text='Type of canned text (rejection motive, correction)')),
            ],
            options={
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='ReviewLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('resource_id', models.PositiveIntegerField()),
                ('order', models.IntegerField(default=0)),
                ('comment', models.TextField()),
                ('status', models.CharField(choices=[('SNT', 'Sent'), ('RVD', 'Received'), ('ACD', 'Accepted'), ('RJD', 'Rejected'), ('CPD', 'Completed'), ('MIN', 'Minor revision'), ('MAJ', 'Major revision'), ('AUD', 'Authorized'), ('PUD', 'Published')], default='SNT', max_length=3)),
                ('resource_content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contenttypes.ContentType')),
            ],
            options={
                'ordering': ['order'],
            },
        ),
        migrations.CreateModel(
            name='PeerReview',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('report', models.FileField(blank=True, help_text='Review report', null=True, upload_to=micorr.reviews.get_reviews_reports_storage_path)),
                ('user', models.ForeignKey(blank=True, help_text='Reviewer user', null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'get_latest_by': 'modified',
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='EditorReview',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('artefact_snapshot', models.FileField(help_text='Artefact printout at time of submission', upload_to=micorr.reviews.get_reviews_artefacts_storage_path)),
                ('publication', models.ForeignKey(help_text='Publication submitted for review', on_delete=django.db.models.deletion.CASCADE, to='artefacts.Publication')),
                ('user', models.ForeignKey(blank=True, help_text='Editor user', null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'get_latest_by': 'modified',
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='CannedText',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('content', models.TextField()),
                ('type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='reviews.CannedTextType')),
            ],
            options={
                'ordering': ['content'],
            },
        ),
    ]
